genty45
Aspiring developer
Profile
Posts: 1
Reg: Apr 01, 2017
Nottingham
10
04/03/17 03:24 PM (2 years ago)

HELP first time using adroid studio errors

Hi guys after some helpful peeps

followed all the steps and download my app to android Studio, no errors in Manifest just complied 13 errors when i try to run on emulator

Error:(44, 32) error: package android.support.multidex does not exist
Error:(56, 42) error: cannot find symbol class MultiDexApplication
Error:(101, 9) error: cannot find symbol variable super
Error:(108, 57) error: cannot find symbol method getPackageName()
Error:(108, 18) error: cannot find symbol method getPackageManager()
Error:(118, 16) error: incompatible types: listpro_appDelegate cannot be converted to Context
Error:(119, 20) error: incompatible types: listpro_appDelegate cannot be converted to Application
Error:(148, 9) error: cannot find symbol variable super
Error:(197, 31) error: no suitable method found for create(listpro_appDelegate,<null>)
method MediaPlayer.create(Context,Uri) is not applicable
(argument mismatch; listpro_appDelegate cannot be converted to Context)
method MediaPlayer.create(Context,int) is not applicable
(argument mismatch; listpro_appDelegate cannot be converted to Context)

Error:(215, 32) error: no suitable method found for create(listpro_appDelegate,Uri)
method MediaPlayer.create(Context,Uri) is not applicable
(argument mismatch; listpro_appDelegate cannot be converted to Context)
method MediaPlayer.create(Context,int) is not applicable
(argument mismatch; listpro_appDelegate cannot be converted to Context)
Error:(91, 78) error: incompatible types: Application cannot be converted to listpro_appDelegate
Error:Execution failed for task ':app:compileDebugJavaWithJavac'.
> Compilation failed; see the compiler error output for details.
 
SmugWimp
Smugger than thou...
Profile
Posts: 6316
Reg: Nov 07, 2012
Tamuning, GU
81,410
like
04/04/17 04:18 PM (2 years ago)
I'm actually having fewer errors with the 'direct to android studio' projects over the old one where we imported.

Make sure you have all the latest, and no updates are needed.
In your gradle module, make sure that your 'target SDK' is low enough to be compatible.

Let us know.

Cheers!

-- Smug
 
Chris from Staffor...
Aspiring developer
Profile
Posts: 335
Reg: Oct 14, 2013
Stafford
5,750
like
04/16/17 01:02 PM (2 years ago)
I've upgraded Android Studio to latest version but I'm completely lost now as there are no guides on Buzztouch that are up to date

I just can't get anything to work - downloaded buzztouch android project but no instructions in the download
 

Login + Screen Name Required to Post

pointerLogin to participate so you can start earning points. Once you're logged in (and have a screen name entered in your profile), you can subscribe to topics, follow users, and start learning how to make apps like the pros.